# BEGIN SourceDeps(oneline):
BuildRequires: perl(Class/Contract.pm) perl(Class/Inspector.pm) perl(Data/Validate.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Module/Signature.pm) perl(Scalar/Util.pm) perl(Socket.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_version 0.02
%define module_name Class-Agreement
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: add contracts to your Perl classes easily
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/I/IA/IAN/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Class::Agreement is an implementation of behavioral contracts for Perl5. This
module allows you to easily add pre- and postconditions to new or existing Perl
classes.

This module provides contracts such as dependent contracts, contracts for
higher-order functions, and informative messages when things fail. At the time
of this writing, Class::Agreement is one of only two contract implementations
that blames contract-breaking components correctly.  (See: "Object-oriented
Programming Languages Need Well-founded Contracts" at
http://citeseer.ist.psu.edu/findler01objectoriented.html.)

Using Class::Agreement lets you specify proper input and output of your
functions or methods, thus strengthening your code and allowing you to spot
bugs earlier.


%prep
%setup -n %module_name-%module_version
rm -f t/0-signature.t

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/C*

%changelog
* Tue Oct 15 2013 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

